﻿using System;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.GridView;
using System.Collections.Generic;

namespace MultilineTextBoxEditor
{
	public class CustomKeyboardProvider : DefaultKeyboardCommandProvider
	{
		public CustomKeyboardProvider(GridViewDataControl grid) : base(grid)
		{
		}

		public override System.Collections.Generic.IEnumerable<ICommand> ProvideCommandsForKey(Key key)
		{
			IList<ICommand> commandsToExecute = base.ProvideCommandsForKey(key).ToList();

			if (key == Key.Tab)
			{
				commandsToExecute.Clear();
			}

			return commandsToExecute;
		}
	}
}
